Insecure Randomness

Affecting de.gurkenlabs:litiengine artifact, versions [0,0.5.1)

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

de.gurkenlabs:litiengine is a pure 2D free java game engine. Written in plain Java 8 it provides all the infrastructure to create a 2D tile based java game, be it a platformer or a top-down adventure.

Affected versions of this package are vulnerable to Insecure Randomness. The client IDs in ClientConnection are sequential. This easily allows an attacker to spoof another player's ID.

Remediation

Upgrade de.gurkenlabs:litiengine to version 0.5.1 or higher.

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    None
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N
Credit
Gamebuster19901
CWE
CWE-331
Snyk ID
SNYK-JAVA-DEGURKENLABS-1050177
Disclosed
09 Dec, 2020
Published
17 Feb, 2021